import pandas as pd
import numpy as np

from mlair.helpers import tables


class TestTables:

    def test_create_column_format_for_tex(self):
        df = pd.DataFrame(np.ones((2, 1)))
        df_col = tables.create_column_format_for_tex(df)  # len: 1+1
        assert df_col == 'lr'
        assert len(df_col) == 2
        df = pd.DataFrame(np.ones((2, 2)))
        df_col = tables.create_column_format_for_tex(df)  # len: 2+1
        assert df_col == 'lcr'
        assert len(df_col) == 3
        df = pd.DataFrame(np.ones((2, 3)))
        df_col = tables.create_column_format_for_tex(df)  # len: 3+1
        assert df_col == 'lccr'
        assert len(df_col) == 4
